# Uses of Interface
org.apache.solr.client.solrj.impl.ClusterStateProvider

Packages that use ClusterStateProvider
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of ClusterStateProvider in org.apache.solr.client.solrj.impl

Classes in org.apache.solr.client.solrj.impl that implement ClusterStateProvider
Modifier and Type
Class
Description
`class`
`BaseHttpClusterStateProvider`
`class`
`DelegatingClusterStateProvider`
Base class for overriding some behavior of `ClusterStateProvider`
`class`
`HttpClusterStateProvider<C extends HttpSolrClientBase>`
A CSP that uses Solr HTTP APIs.
Fields in org.apache.solr.client.solrj.impl declared as ClusterStateProvider
Modifier and Type
Field
Description
`protected ClusterStateProvider`
DelegatingClusterStateProvider.`delegate`
`protected ClusterStateProvider`
CloudSolrClient.Builder.`stateProvider`
Methods in org.apache.solr.client.solrj.impl that return ClusterStateProvider
Modifier and Type
Method
Description
`protected ClusterStateProvider`
CloudSolrClient.Builder.`createHttpClusterStateProvider(HttpSolrClientBase httpClient)`
`protected ClusterStateProvider`
CloudSolrClient.Builder.`createZkClusterStateProvider()`
`ClusterStateProvider`
CloudHttp2SolrClient.`getClusterStateProvider()`
`abstract ClusterStateProvider`
CloudSolrClient.`getClusterStateProvider()`
`static ClusterStateProvider`
ClusterStateProvider.`newZkClusterStateProvider(Collection<String> zkHosts, String zkChroot, boolean canUseZkACLs)`
Constructors in org.apache.solr.client.solrj.impl with parameters of type ClusterStateProvider
Modifier
Constructor
Description
``
`Builder(ClusterStateProvider stateProvider)`
for an expert use-case
``
`DelegatingClusterStateProvider(ClusterStateProvider delegate)`